## Extensions to GObject

Extensions to GObject — Miscelleanous extensions to the GObject library

## Synopsis

    #include <exo/exo.h>

    gboolean            exo_g_value_transform_negate        (const GValue *src_value,
                                                             GValue *dst_value);

## Description

This facility includes several functions to extend the basic functionality provided by the GObject library.

## Details

### exo_g_value_transform_negate ()

    gboolean            exo_g_value_transform_negate        (const GValue *src_value,
                                                             GValue *dst_value);

Applies boolean negation to `src_value` and stores the result in `dst_value`.

This function is mostly useful for binding boolean properties with inversing.

`src_value` : | A value convertible to gboolean.
`dst_value` : | A value which can be assigned a gboolean.
Returns : | `TRUE` on successful transformation.

## See Also

GObject Reference Manual